DateTime::getTimezone
DateTimeZone
DateTimeInterface
PHP Manual

# DateTime::__wakeup

# DateTimeImmutable::__wakeup

# DateTimeInterface::__wakeup

The __wakeup handler

### Description

public DateTime::__wakeup ( void )
public DateTimeImmutable::__wakeup ( void )
public DateTimeInterface::__wakeup ( void )

The __wakeup() handler.

### Parameters

This function has no parameters.

### Return Values

Initializes a DateTime object.